summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
authorKai Blin <kai@samba.org>2008-01-30 17:57:32 +0100
committerKai Blin <kai@samba.org>2008-01-30 17:57:32 +0100
commit5b5d56d84af1657b1aec29c134af5ad6be4348eb (patch)
tree4250a29f9ab51f696614d47828f747796e04a4af /source3
parent582e224af5e55909e4dfd4051f2e5b5011ec14e1 (diff)
downloadsamba-5b5d56d84af1657b1aec29c134af5ad6be4348eb.tar.gz
samba-5b5d56d84af1657b1aec29c134af5ad6be4348eb.tar.bz2
samba-5b5d56d84af1657b1aec29c134af5ad6be4348eb.zip
ntlm_auth: test should honour configfile option to run on build farm.
(This used to be commit 11c9c1536b153047ba387b9804f34a6555a5ae26)
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_s3.sh4
-rwxr-xr-xsource3/torture/test_ntlm_auth.py6
2 files changed, 8 insertions, 2 deletions
diff --git a/source3/script/tests/test_ntlm_auth_s3.sh b/source3/script/tests/test_ntlm_auth_s3.sh
index 6a52e59771..6bcb3e2066 100755
--- a/source3/script/tests/test_ntlm_auth_s3.sh
+++ b/source3/script/tests/test_ntlm_auth_s3.sh
@@ -13,9 +13,9 @@ then
exit 0
fi
-testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth || failed=`expr $failed + 1`
+testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth --configfile $CONFFILE || failed=`expr $failed + 1`
# This should work even with NTLMv2
-testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth --configfile $CONFFILE --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/torture/test_ntlm_auth.py b/source3/torture/test_ntlm_auth.py
index 3e7cc0551f..12a4dae398 100755
--- a/source3/torture/test_ntlm_auth.py
+++ b/source3/torture/test_ntlm_auth.py
@@ -70,6 +70,7 @@ def parseCommandLine():
parser.set_defaults(server_password="secret")
parser.set_defaults(server_domain="FOO")
parser.set_defaults(server_helper="squid-2.5-ntlmssp")
+ parser.set_defaults(config_file="/etc/samba/smb.conf")
parser.add_option("--client-username", dest="client_username",\
help="User name for the client. [default: foo]")
@@ -89,6 +90,9 @@ def parseCommandLine():
parser.add_option("--server-helper", dest="server_helper",\
help="Helper mode for the ntlm_auth server. [default: squid-2.5-server]")
+ parser.add_option("-s", "--configfile", dest="config_file",\
+ help="Path to smb.conf file. [default:/etc/samba/smb.conf")
+
(opts, args) = parser.parse_args()
if len(args) != 1:
parser.error("Invalid number of arguments.")
@@ -129,6 +133,7 @@ def main():
client_args.append("--username=%s" % opts.client_username)
client_args.append("--password=%s" % opts.client_password)
client_args.append("--domain=%s" % opts.client_domain)
+ client_args.append("--configfile=%s" % opts.config_file)
os.execv(ntlm_auth_path, client_args)
@@ -161,6 +166,7 @@ def main():
server_args.append("--username=%s" % opts.server_username)
server_args.append("--password=%s" % opts.server_password)
server_args.append("--domain=%s" % opts.server_domain)
+ server_args.append("--configfile=%s" % opts.config_file)
os.execv(ntlm_auth_path, server_args)